Update Target Input Data
curl --request PATCH \
--url https://api.example.com/api/v1/targets/{target_id} \
--header 'Content-Type: application/json' \
--data '
{
"input_data": {},
"only_if_not_started": true
}
'import requests
url = "https://api.example.com/api/v1/targets/{target_id}"
payload = {
"input_data": {},
"only_if_not_started": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({input_data: {}, only_if_not_started: true})
};
fetch('https://api.example.com/api/v1/targets/{target_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/targets/{target_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'input_data' => [
],
'only_if_not_started' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/targets/{target_id}"
payload := strings.NewReader("{\n \"input_data\": {},\n \"only_if_not_started\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/targets/{target_id}")
.header("Content-Type", "application/json")
.body("{\n \"input_data\": {},\n \"only_if_not_started\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/targets/{target_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"input_data\": {},\n \"only_if_not_started\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"target_url": "<string>",
"organization_id": "<string>",
"campaign_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_minutes": 123,
"input_data": {},
"output_data": {},
"status": "Pending",
"resolution": "retrieved",
"category": "GOOD",
"subcategory": "PROVIDER",
"call_log_ids": [
123
],
"last_call_date": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"fax_links": [
"<string>"
],
"payor_api_data": {},
"external_id": "<string>",
"pre_call_ehr_ids": {},
"updated_at": "2023-11-07T05:31:56Z",
"retries": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"categorization": {},
"outcome": "<string>",
"statistics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Targets
Update Target Input Data
PATCH
/
api
/
v1
/
targets
/
{target_id}
Update Target Input Data
curl --request PATCH \
--url https://api.example.com/api/v1/targets/{target_id} \
--header 'Content-Type: application/json' \
--data '
{
"input_data": {},
"only_if_not_started": true
}
'import requests
url = "https://api.example.com/api/v1/targets/{target_id}"
payload = {
"input_data": {},
"only_if_not_started": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({input_data: {}, only_if_not_started: true})
};
fetch('https://api.example.com/api/v1/targets/{target_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/targets/{target_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'input_data' => [
],
'only_if_not_started' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/targets/{target_id}"
payload := strings.NewReader("{\n \"input_data\": {},\n \"only_if_not_started\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/targets/{target_id}")
.header("Content-Type", "application/json")
.body("{\n \"input_data\": {},\n \"only_if_not_started\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/targets/{target_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"input_data\": {},\n \"only_if_not_started\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"target_url": "<string>",
"organization_id": "<string>",
"campaign_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_minutes": 123,
"input_data": {},
"output_data": {},
"status": "Pending",
"resolution": "retrieved",
"category": "GOOD",
"subcategory": "PROVIDER",
"call_log_ids": [
123
],
"last_call_date": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"fax_links": [
"<string>"
],
"payor_api_data": {},
"external_id": "<string>",
"pre_call_ehr_ids": {},
"updated_at": "2023-11-07T05:31:56Z",
"retries": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"categorization": {},
"outcome": "<string>",
"statistics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
The ID of the target whose input_data to update.
Body
application/json
Fields to merge into the target's input_data. Only the keys present here are updated; existing keys not included are left unchanged.
When true (default), the edit is rejected with 409 if the target has already started executing — i.e. a call has been placed, or it has left the Pending/Scheduled staging states. A Scheduled target with no calls yet is still editable. Set false to edit regardless.
Response
Successful Response
Available options:
Pending, Scheduled, In Progress, Post-processing, Finished, Failed, Waiting, SMS Scheduled resolution
CampaignTargetPayorResolution · enum<string>CampaignTargetPatientResolution · enum<string>
required
Available options:
retrieved, not_retrieved category
PayorCallCategory · enum<string>PatientCallCategory · enum<string>ProviderCallCategory · enum<string>PatientIncomingCallCategory · enum<string>PatientIncomingSchedulingCallCategory · enum<string>PatientOutgoingSchedulingCallCategory · enum<string>PatientBillingCallCategory · enum<string>
required
Available options:
GOOD, NO_RESPONSE, TRANSFER, TRANSFER_FAILED, VOICEMAIL, SERVICE_NOT_AVAILABLE, HUMAN_ONLY, AFTER_HOURS, CLOSED_FOR_HOLIDAYS, IVR_LOOP, INPUT_DATA_ISSUE, WRONG_PHONE_NUMBER, NOT_FOUND, UNPROCESSABLE_BY_PHONE, DISCONNECTED, NOT_ALL_DATA_POINTS_RETRIEVED, MEMBER_CONSENT_REQUIRED, SLA_EXPIRED, PAYOR_NOT_SUPPORTED, NO_OPERATING_HOURS, INVALID_PHONE_NUMBER subcategory
NotFoundSubCategory · enum<string>TransferSubCategory · enum<string>BillingResolvedSubCategory · enum<string>BillingUnresolvedSubCategory · enum<string>IVRLoopSubCategory · enum<string>ServiceNotAvailableSubCategory · enum<string>UnprocessableByPhoneSubCategory · enum<string>InputDataIssueSubCategory · enum<string>HumanOnlySubcategory · enum<string>VoicemailSubCategory · enum<string>PayorCallCategory · enum<string>Subcategory · string
required
Available options:
PROVIDER, MEMBER, FACILITY, REQUEST, OTHER